# Awesome Captcha [![Awesome](https://awesome.re/badge.svg)](https://awesome.re)

> Curated list of awesome captcha libraries and captcha crack tools.

[CAPTCHA](https://en.wikipedia.org/wiki/CAPTCHA) is a type of challenge–response test used in computing to determine whether or not the user is human.


[English](README.md) | [中文](README-zh.md)

## Contents

- [Libraries](#libraries)
- [Generation](#generation)
- [Crack](#crack)
  - [General](#general)
  - [Chinese](#chinese)
- [Tools](#tools)
- [Other](#other)
- [Maintainers](#maintainers)


## Libraries

- [Captcha](https://github.com/mewebstudio/captcha) - Captcha for Laravel 5.
- [Captcha](https://github.com/Gregwar/Captcha) - PHP Captcha library.
- [Captcha](https://github.com/trekjs/captcha) - A Lightweight Pure JavaScript Captcha for Node.js. No C/C++, No ImageMagick, No Canvas.
- [Patchca](https://github.com/pusuo/patchca) - Simple yet powerful CAPTCHA library written in Java.


## Generation
- [Captcha](https://github.com/dchest/captcha) - Go package captcha implements generation and verification of image and audio CAPTCHAs.
- [Captcha](https://github.com/lepture/captcha) - A captcha library that generates audio and image CAPTCHAs.
- [SVG-captcha](https://github.com/lemonce/svg-captcha) - 用node生成svg格式的验证码.
- [Ccap](https://github.com/DoubleSpout/ccap) - Node.js generate captcha using c++ library CImg without install any other lib or software.
- [Captchagen](https://github.com/contra/captchagen) - Captcha generation for Node.js.
- [CaptchaImageView](https://github.com/jineshfrancs/CaptchaImageView) - 自定义ImageView生成验证码图像。
- [SwipeCaptcha](https://github.com/mcxtzhang/SwipeCaptcha) - Android平台的滑动验证码。
- [Base64Captcha](https://github.com/mojocn/base64Captcha) - 快速生成base64编码图片验证码字符串.base64图形验证码(captcha)为golang而设计.


## Crack

### General
- [Captcha](https://github.com/arunpatala/captcha) - 使用torch破解验证码。
- [CAPTCHA](https://github.com/zakizhou/CAPTCHA) - 使用Tensorflow进行验证码分类。
- [Captcha-break](https://github.com/nladuo/captcha-break) - captcha break based on opencv2, tesseract-ocr and some machine learning algorithm.
- [Captcha_break](https://github.com/ypwhs/captcha_break) - captcha break using CNN with Keras.
- [Simple-captcha-solver](https://github.com/ptigas/simple-captcha-solver) - simple CAPTCHA solver in python 🐍.
- [SimGAN-Captcha](https://github.com/rickyhan/SimGAN-Captcha) - Solve captcha without manually labeling a training set.
- [Captcha.irctc](https://github.com/arunpatala/captcha.irctc) - Reading irctc captchas with 98% accuracy using deep learning.
- [Captcha-tensorflow](https://github.com/JackonYang/captcha-tensorflow) - Image Captcha Solving Using TensorFlow and CNN Model.
- [CNN_keras](https://github.com/skyduy/CNN_keras) - CNN | Keras | CAPTCHA recognition（卷积神经网络、Keras框架、验证码识别）.
- [Captcha_recognize](https://github.com/PatrickLib/captcha_recognize) - Image Recognition captcha without image segmentation.
- [Captcha_svm](https://github.com/zhengwh/captcha-svm) - Use svm to hack simple captcha.
- [Captcha_cracker](https://github.com/chxj1992/captcha_cracker) - crack captcha with CNN.
- [Slide_captcha_cracker](https://github.com/chxj1992/slide_captcha_cracker) - Canny算子边缘检测识别滑动验证码.
- [Simple-railway-captcha-solver](https://github.com/JasonLiTW/simple-railway-captcha-solver#english-version) - 實作基於CNN的台鐵訂票驗證碼辨識以及驗證性高的訓練集產生器.
- [CAPTCHA-breaking](https://github.com/lllcho/CAPTCHA-breaking)
- [dessant/buster](https://github.com/dessant/buster) - Captcha solver extension for humans and monsters.
- [kerlomz/captcha_trainer](https://github.com/kerlomz/captcha_trainer) - [验证码识别-训练] Based on CNN5/DenseNet+BLSTM/LSTM+CTC to realize verification code identification. Only for training the model.

### Chinese
- [Chinese_hand_write_rec](https://github.com/burness/tensorflow-101/tree/master/chinese_hand_write_rec/src) - 手写中文识别。
- [CNN_handwritten_chinese_recognition](https://github.com/taosir/cnn_handwritten_chinese_recognition) - CNN在线识别手写中文。
- [Chinese-Character-Recognition](https://github.com/soloice/Chinese-Character-Recognition) - 使用CNN进行中文识别。
- [Zheye](https://github.com/muchrooms/zheye) - 者也 - 知乎 倒立的文字 汉字验证码识别程序。
- [12306-captcha](https://github.com/aaronshan/12306-captcha) - 基于深度学习的12306验证码识别。
- [Geetest_break](https://github.com/FanhuaandLuomu/geetest_break) - 极验验证码破解-源码+手册。


## Tools

- [Tesseract](https://github.com/tesseract-ocr/tesseract) - Tesseract开源光学字符识别(**OCR**)引擎.
- [MotionCAPTCHA](https://github.com/wjcrowcroft/MotionCAPTCHA) - MotionCAPTCHA jQuery Plugin - Stop Spam, Draw Shapes.
- [Negative-captcha](https://github.com/subwindow/negative-captcha) - A plugin to make the process of creating a negative captcha in Rails much less painful.
- [Django-simple-captcha](https://github.com/mbi/django-simple-captcha) - An extremely simple, yet highly customizable Django application to add captcha images to any Django form.
- [Securimage](https://github.com/dapphp/securimage) - PHP验证码脚本。
- [Captcha_solver](https://github.com/lorien/captcha_solver) - 用于验证码破解服务的通用API接口。

## Other

- [VisualCaptcha](https://github.com/emotionLoop/visualCaptcha) - A collection of all the different versions/repos of visualCaptcha.


## Maintainers

- [@ZYSzys](https://github.com/ZYSzys)


## Contribute

Please do! Check out the [contributing.md](contributing.md) file, or [open an issue](https://github.com/ZYSzys/awesome-captcha/issues/new)!


## License

[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](https://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [ZYSzys](https://github.com/ZYSzys) has waived all copyright and related or neighboring rights to this work.
